Bug 477949 - Review Request: perl-Term-Highlight - Simple way to highlight perl-compatible regexp patterns on terminals
Review Request: perl-Term-Highlight - Simple way to highlight perl-compatible...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2008-12-26 03:54 EST by Alexey Radkov
Modified: 2010-11-30 04:23 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-30 04:23:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexey Radkov 2008-12-26 03:54:23 EST
Spec URL: http://hlterm.svn.sourceforge.net/viewvc/hlterm/perl-Term-Highlight.spec
SRPM URL: http://downloads.sourceforge.net/hlterm/perl-Term-Highlight-1.5-1.fc10.src.rpm?use_mirror=
Description: Term::Highlight is a Perl module which can be used to highlight
unlimited number of specified patterns with different colors using
terminal color escape sequences.
Term::Highlight supports 256 and 8 colors capable terminals.
The package is shipped with full-featured script 'hl' which can also
be used as grep-like engine. You can use hl just to learn perl
regular expressions!
This is my first package and I am seeking a sponsor.
Comment 1 Alexey Radkov 2008-12-26 08:19:18 EST
See some doc with screenshots at http://hlterm.wiki.sourceforge.net/General+Info+and+Usage
Comment 2 Colin Coe 2009-04-15 02:13:23 EDT
Hi

The .spec looks pretty good in my (inexperienced) opinion.  

Please post the output of rpmlint.

Other than that, it seems to adhere to the guidelines pretty well.

CC
Comment 3 Alexey Radkov 2009-04-15 12:10:22 EDT
Hi.

Here is rpmlint output:

$ rpmlint perl-Term-Highlight-1.5-1.fc10.noarch.rpm perl-Term-Highlight-1.5-1.fc10.src.rpm perl-Term-Highlight.spec 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 4 Guido Grazioli 2009-05-07 20:11:01 EDT
Hello Alexey, that's a very useful tool in my opinion.

You could tidy the spec a bit by defining:
%global realname Term-Highlight
and then:
Name:       perl-%{realname}
Source:     http://search.cpan.org/CPAN/authors/id/R/RA/RADKOV/%{realname}-%{version}.tar.gz 
and so on along the file

The License tag should report the GPL version (GPLv2 or GPLv2+, not GPL nor GPL+). Moreover, as you seem to be the package author, you could kindly add in the source archive, and in %doc, the COPYING file containing the license text.

Hope that helps, cheers
Comment 5 Paul Howarth 2009-09-09 06:11:13 EDT
Hi Alexey.

Package looks fine as-is, closely following the perl spec template and with no obvious issues.

I see you're needing a sponsor. What plans do you have for further contributions to Fedora, if any, or is your interest mainly as the module's author in getting the module included in Fedora?
Comment 6 Alexey Radkov 2009-09-09 17:48:01 EDT
Hi Paul.

i just wanted to contribute to my favourite Linux distribution with my own package which i created when i had not found a program with similar functionality elsewhere. i followed Fedora rules when i did the rpm.
actually i would like to contribute to Fedora as much as my free time let. i have been using Red Hat Linux distributions since 1999 and have some experience with them. For instance i have created a bunch of ACPI scripts for my ASUS M50Vm and use them privately.
Comment 7 Paul Howarth 2009-09-10 09:06:55 EDT
OK then, if you're looking to make other contributions as time permits and get cvs access then I need to be convinced that you understand the packaging guidelines and can apply them properly. Unfortunately, producing RPMs for perl modules (which vary very little from module to module) doesn't demonstrate that knowledge very much. The best way to do it would be to look at some other packages in the review queue (https://bugzilla.redhat.com/buglist.cgi?product=Fedora&component=Package+Review&bug_status=NEW,ASSIGNED,NEEDINFO,MODIFIED&field0-0-0=flagtypes.name&type0-0-0=notsubstring&value0-0-0=fedora-review) and do "unofficial" reviews of them. That way I can be convinced of your abilities and can be comfortable sponsoring you. Will you be able to do that?
Comment 8 Alexey Radkov 2009-09-10 10:02:35 EDT
Ok, btw what you mean by unofficial? do i have to put my comments there? and i am going to vacation until Sep. 22, so i will be inaccessible until then.
Comment 9 Paul Howarth 2009-09-10 10:10:54 EDT
What I mean by unofficial is that you can't actually approve packages until you're sponsored. But you can do everything else, such as make comments, run through the package review checklist, suggest changes etc. This is helpful (as long as your comments are appropriate) to the package submitter in that it should shorten the time to get their package approved once someone that *can* approve it takes a look at it.

Have a good vacation, there's no hurry here.
Comment 10 Terje Røsten 2010-03-01 05:22:15 EST
Hi Alexey, still some interest in maintaining packages in Fedora?

BTW: package is simple and looks good, however I would prefer a more explicit file listing.
Comment 11 Paul Howarth 2010-08-17 05:36:28 EDT
Hi Alexey,

I see that Term::Highlight 1.6 has just been released; are you still interested in packaging this or other packages in Fedora?
Comment 12 Alexey Radkov 2010-08-17 06:13:29 EDT
Hi Paul.

Actually, i do not have enough time for all the things (prove/gain my competence as Fedora package submitter) in nearest 2 weeks, so i do not know ..., but... if the rpm is ok (it can be found at hlterm.sourceforge.net) i (or someone else) can submit it to Fedora repo.
About other packages: recently i found that someone pushed CERN's ROOT package into the repo. It inspired me a bit to make rpms of clhep and geant4 (i use ROOT and geant4 for my work and have installed them from sources on my computers). If geant4's license allows package distribution in Fedora repo, i will prefer to use rpms for all those things to make installation simple. So i can try to make them and open a new request.
Comment 13 Paul Howarth 2010-08-17 08:23:28 EDT
(In reply to comment #12)
> Actually, i do not have enough time for all the things (prove/gain my
> competence as Fedora package submitter) in nearest 2 weeks, so i do not know
> ..., but... if the rpm is ok (it can be found at hlterm.sourceforge.net) i (or
> someone else) can submit it to Fedora repo.

There's no time limit for you to gain sponsorship and hence be able to include your package in Fedora. Of course, someone else might step in and submit it and go through the process in the meantime though. Just do what you can, when you can.

> About other packages: recently i found that someone pushed CERN's ROOT package
> into the repo. It inspired me a bit to make rpms of clhep and geant4 (i use
> ROOT and geant4 for my work and have installed them from sources on my
> computers). If geant4's license allows package distribution in Fedora repo, i
> will prefer to use rpms for all those things to make installation simple. So i
> can try to make them and open a new request.

If a package's license is listed as a good license here:

http://fedoraproject.org/wiki/Licensing:Main#Good_Licenses

then there should be no problem submitting it as a package. If it's a new license that's not been approved for Fedora yet and not obviously non-free (if it was, that would be a blocker for Fedora) then it would have to go through fedora-legal for approval.
Comment 14 Jason Tibbitts 2010-11-29 14:53:02 EST
What is the status of this package?  From reading comment 12, I get the impression that Alexy doesn't intend to continue with this review but I'd want to make sure before closing this out.
Comment 15 Alexey Radkov 2010-11-30 03:13:06 EST
Yes, please close it

Note You need to log in before you can comment on or make changes to this bug.